> For the complete documentation index, see [llms.txt](https://docs.welltested.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.welltested.ai/documentation/set-up.md).

# Set up

### Generate API Key

To get started, [create an account](https://www.welltested.ai/#pricing) and get your API key.

### Setup .env file

Create a `.env` file in root of your project, and add your API key received in the email.

```
WELLTESTED_API=YOUR_API_KEY
```

### Add dependencies

To your pubspec.yaml, add the [welltested\_annotation](https://pub.dev/packages/welltested_annotation) package and other optional dependencies as below:

```
dependencies:
    welltested_annotation: ^1.0.1

dev_dependencies:
    // to generate mocks 
    mockito:
    build_runner:
```

then, activate the welltested CLI globally using:

```
dart pub global activate welltested
```

Once you have activated welltested CLI. Run the following command to test if the welltested  command is working in your CLI:

```bash
welltested --help
```

{% hint style="info" %}
**Note**: Upon running `welltested --help`, if your CLI complains **welltested: command not found.** Please check if your dart pub setup is complete. For detailed instructions, refer to the [Dart documentation](https://dart.dev/tools/pub/cmd/pub-global#running-a-script-from-your-path).
{% endhint %}

That's all, we're good to go!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.welltested.ai/documentation/set-up.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
